import { WsApiAction, WsApiRequest, WsApiResponse } from './common';
import { OmitNever } from '../../types/OmitNever';
export type WsApiRequestHandler<Action extends WsApiAction, Request extends WsApiRequest, Response extends WsApiResponse> = (request: Request & {
    action: Action;
}, responseActions: OmitNever<{
    sendResponse: [Response] extends [never] ? never : (response: Response) => Promise<void>;
    closeConnection: () => Promise<void>;
    connectionId: string;
    endpoint: string;
}>) => Promise<void>;
